Apache Segfaults with 1.5.4 on Ubuntu 22.04

23 views
Skip to first unread message

Steven Ellis

unread,
May 2, 2023, 1:55:02 PM5/2/23
to Trac Development
I've been using Trac for many many years and as part of upgrading to Ubuntu 22.04 I migrated my Trac 1.4 environment to the latest 1.5.4 Dev release.

I'm seeing a number of segfaults when I'm modifying existing tickets

[Tue May 02 15:23:46.436233 2023] [core:notice] [pid 591] AH00052: child pid 602 exit signal Segmentation fault (11)

Trac was install under Python 3.10 using pip as per the install notes and the existing Trac environments we're upgraded. Everything is front-ended via Apache and I use sqlite backed with no additional plugins.

I'd appreciate any additional pointers to help debug this as I'm not seeing a lot in my apache logs.

Jun Omae

unread,
May 2, 2023, 6:57:21 PM5/2/23
to trac...@googlegroups.com
Due to the lack of information, it seems to be only caused by bugs in
Apache, installed Apache modules, and/or Python modules (you're using
mod_wsgi? mod_python? I don't know your configuration).

Also, we recommend asking on trac-user instead of trac-dev, or
reporting on the ubuntu bug tracker.

--
Jun Omae <jun...@gmail.com> (大前 潤)
Reply all
Reply to author
Forward
0 new messages